- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
GPop::StoreLockEntry Class Reference

Represents a file in the GPop::Store. More...

`#include <gpopstore.h>`

## Public Types
typedef unsigned long | Size

## Public Member Functions
| StoreLockEntry (int id_, Size size_, const std::string &uidl_)

## Public Attributes
int | id
Size | size
std::string | uidl

## Detailed Description

Represents a file in the GPop::Store.

See also
  GPop::StoreLock

Definition at line 80 of file gpopstore.h.

## Member Typedef Documentation

typedef unsigned long GPop::StoreLockEntry::Size

Definition at line 84 of file gpopstore.h.

## Constructor & Destructor Documentation

GPop::StoreLockEntry::StoreLockEntry | ( | int | id_,
|  | Size | size_,
|  | const std::string & | uidl_
| ) |  |
| inline

Definition at line 87 of file gpopstore.h.

## Member Data Documentation

int GPop::StoreLockEntry::id

Definition at line 83 of file gpopstore.h.

Size GPop::StoreLockEntry::size

Definition at line 85 of file gpopstore.h.

std::string GPop::StoreLockEntry::uidl

Definition at line 86 of file gpopstore.h.

The documentation for this class was generated from the following file:

- gpopstore.h